# Class Program.Option

java.lang.Object
org.a11y.brlapi.Program.Option

Enclosing class:
  `Program`

protected static class Program.Option extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Program.Option.Handler`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`PREFIX_CHARACTER`

## Constructor Summary

Constructors
Constructor
Description
`Option(String name, Program.Option.Handler handler, String... operands)`

## Method Summary

Modifier and Type
Method
Description
`final Program.Option.Handler`
`getHandler()`
`final String`
`getName()`
`final String[]`
`getOperands()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PREFIX_CHARACTER

public static final char PREFIX_CHARACTER

See Also:
  - Constant Field Values

## Constructor Details

### Option

public Option(String name, Program.Option.Handler handler, String... operands)

## Method Details

### getName

public final String getName()

### getHandler

public final Program.Option.Handler getHandler()

### getOperands

public final String[] getOperands()